cURL
curl --request PATCH \
--url https://merits.blockscout.com/admin/api/v1/offers/{offer_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"details": {},
"price": "<string>",
"weight": 123,
"valid_since": "<string>",
"valid_until": "<string>",
"redemptions_limit": 123,
"min_passport_score": "<string>",
"is_hidden": true,
"is_unique_per_address": true,
"is_auto_filled": true
}
'import requests
url = "https://merits.blockscout.com/admin/api/v1/offers/{offer_id}"
payload = {
"details": {},
"price": "<string>",
"weight": 123,
"valid_since": "<string>",
"valid_until": "<string>",
"redemptions_limit": 123,
"min_passport_score": "<string>",
"is_hidden": True,
"is_unique_per_address": True,
"is_auto_filled": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
details: {},
price: '<string>',
weight: 123,
valid_since: '<string>',
valid_until: '<string>',
redemptions_limit: 123,
min_passport_score: '<string>',
is_hidden: true,
is_unique_per_address: true,
is_auto_filled: true
})
};
fetch('https://merits.blockscout.com/admin/api/v1/offers/{offer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}PointsAdminService
Patch adminapiv1offers
PATCH
/
admin
/
api
/
v1
/
offers
/
{offer_id}
cURL
Authorizations
Authentication token, prefixed by Bearer: Bearer
Path Parameters
Body
application/json
Response
A successful response.
The response is of type object.
Was this page helpful?
⌘I